Service Offerings - Standard Service Requests API
Bu içerik henüz dilinizde mevcut değil.
- List all standard service requests of a service offering
- Add a standard service request to a service offering
- Update a standard service request of a service offering
- Remove a standard service requests from a service offering
- Remove all standard service requests from a service offering
- Fields
List all standard service requests of a service offering
Заголовок раздела «List all standard service requests of a service offering»List all standard service requests of the service offering with a specific ID:
GET /service_offerings/:id/standard_service_requestsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 1, "created_at": "2016-08-23T13:43:01-07:00", "updated_at": "2016-08-23T13:43:01-07:00", "request_template": { "id": 5, "subject": "Creation or modification of ITRP report", "localized_subject": "Creation or modification of ITRP report" }, "response_target": 60, "resolution_target": null, "support_hours": { "name": "Monday through Friday, 7:00am until 5:00pm", "id": 86 } }, { "id": 15, "created_at": "2016-03-13T19:22:40-07:00", "updated_at": "2016-03-13T19:22:40-07:00", "request_template": { "id": 6, "subject": "Request for information concerning ITRP", "localized_subject": "Request for information concerning ITRP" }, "response_target": 5, "resolution_target": 12, "support_hours": { "name": "24x7 (Monday through Sunday)", "id": 85 } }]The response contains these fields by default.
Sorting
Заголовок раздела «Sorting»By default a collection of standard service requests is sorted
descending
by
id
.
The following fields are accepted by the ?sort= parameter :
id
created_at
updated_at
Add a standard service request to a service offering
Заголовок раздела «Add a standard service request to a service offering»Add a standard service request to a service offering with a specific ID.
POST /service_offerings/:id/standard_service_requestsWhen creating a new standard service request for a service offering these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "created_at": "2015-04-09T02:43:20-07:00", "id": 19, "request_template": { "id": 25, "subject": "Move Personal Computer", "localized_subject": "Move Personal Computer" }, "resolution_target": 480, "response_target": 120, "support_hours": { "id": 34, "name": "Monday through Friday, 7:00am until 5:00pm" }, "updated_at": "2015-04-09T02:43:20-07:00"}Update a standard service request of a service offering
Заголовок раздела «Update a standard service request of a service offering»Update a standard service request with a specific ID of a service offering with a specific ID.
PATCH /service_offerings/:id/standard_service_requests/:standard_service_request_idWhen updating an existing standard service request for a service offering these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "created_at": "2015-04-09T02:43:20-07:00", "id": 19, "request_template": { "id": 25, "subject": "Move Personal Computer", "localized_subject": "Move Personal Computer" }, "resolution_target": 480, "response_target": 120, "support_hours": { "id": 34, "name": "Monday through Friday, 7:00am until 5:00pm" }, "updated_at": "2015-04-09T02:43:20-07:00"}Remove a standard service request from a service offering
Заголовок раздела «Remove a standard service request from a service offering»Remove a standard service request with a specific ID from a service offering with a specific ID.
DELETE /service_offerings/:id/standard_service_requests/:standard_service_request_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all standard service requests from a service offering
Заголовок раздела «Remove all standard service requests from a service offering»Remove all standard service requests from a service offering with a specific ID.
DELETE /service_offerings/:id/standard_service_requestsResponse
Заголовок раздела «Response»Status: 204 No Contentcharge_type
Optional enum — Defines how the standard service request must be charged. Valid values are:
fixed_price: Fixed Pricetime_material: Time and Material
created_at
Readonly datetime — The date and time at which the standard service request was created.
id
Readonly integer — The unique ID of the service level agreement.
rate
Optional decimal — Defines the fixed price rate for the standard service request.
rate_currency
Optional reference — Defines the currency for the fixed price rate of the standard service request.
request_template
Required reference to Request template — The ID of the request template related to the service offering. Only the request templates that are linked to the same service as the service offering can be selected.
response_target
Optional integer — Number of minutes within which a response needs to have been provided for a request to which the request template has been applied and which requester is covered by an SLA that is based on the service offering.
response_target_best_effort
Optional boolean — Response target is Best Effort when the request template has been applied to the request and the requester is covered by an SLA that is based on the service offering.
resolution_target
Optional integer — Number of minutes within which a request needs to have been completed when the request template has been applied to the request and the requester is covered by an SLA that is based on the service offering.
resolution_target_best_effort
Optional boolean — Resolution target is Best Effort when the request template has been applied to the request and the requester is covered by an SLA that is based on the service offering.
support_hours
Optional reference to Calendar — The ID of the calendar that defines the support hours for a request to which the request template has been applied and which requester is covered by an SLA that is based on the service offering.
updated_at
Readonly
datetime
— The date and time of the last update of the standard service request. If the standard service request has no updates it contains the
created_at
value.
sla_notification_scheme
Optional reference to SLA notification scheme — The ID of the SLA notification scheme for a request when it affects an active SLA that is based on the service offering. Only enabled SLA notification schemes that are linked to the same account as the service offering can be selected.